com.microfocus.awm.model.toolexecution

## Interface IToolOutput

- All Known Implementing Classes:
    ToolOutput

      public interface IToolOutput

  The output of an executed tool.

  A tool's output is processed by AWM right after it has been executed.

  Author:
    Micro Focus
  See Also:
    `ToolOutput`, `IToolExecutor2`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<IMassOutputEntry>` | `getMassOutput()` Gets mass output parameters returned by the tool.
    `java.util.List<IToolOutputParameter>` | `getOutputParameters()` Gets output parameters returned by the tool.
    `java.util.List<IResourceOperation>` | `getResourceOperations()` Gets resource operations created by the tool.
    `java.util.List<IValidationMessage>` | `getValidationMessages()` Returns validation messages returned by the tool.

- - ### Method Detail

    - #### getOutputParameters

          java.util.List<IToolOutputParameter> getOutputParameters()

      Gets output parameters returned by the tool. Returned parameter values are accessible by subsequent tools (through input parameters with `Parameter From` = `EParmFromTypes.PREVIOUS_TOOL`) and are used for resource operations set in the tool descriptor.

      The returned list only contains single-processing output parameters. Mass-output parameters must be returned via `IMassOutputEntry`s (see `getMassOutput()`).

      Returned file output parameters can also be processed by AWM, if an element list should be created.

      Returns:
        returned tool output parameters. Can be empty.

    - #### getMassOutput

          java.util.List<IMassOutputEntry> getMassOutput()

      Gets mass output parameters returned by the tool.
      Returns:
        the tool's mass output parameters. Can be empty.

    - #### getResourceOperations

          java.util.List<IResourceOperation> getResourceOperations()

      Gets resource operations created by the tool. Resource operations can update, insert or delete AWM elements in the application to reflect changes a tool has made in the real application.

      Returned operations are only processed if the `Resource Processing` attribute of the executed tool descriptor is set to `EResourceProcessingTypes.TOOLDEFINED`. Otherwise they will be ignored.

      Returns:
        a list of tool-defined resource operations. Can be empty.

    - #### getValidationMessages

          java.util.List<IValidationMessage> getValidationMessages()

      Returns validation messages returned by the tool.

      By default, validation messages can only be displayed in AWM modeled dialogs, when the tool was executed as part of an Open Modeled Dialog Validation Action.

      Returns:
        validation messages returned by the tool. Can be empty.

Copyright © 2015 Micro Focus GmbH. All rights reserved.